@echo off

rem Default SQL Server instance to use.  If the database needs to be
rem deployed on a different instance change the value of SQLSERVINST
rem By default the SQL Server Default instance is assumed in which case
rem the variable is set to the local host's name
rem If you are installing remotely put the remote server's name and 
rem if you are using a named instance set the variable accordingly 
rem following the SQL Server named instance convention of SERVER\NAMEDINSTANCE

SET SQLSERVINST=%COMPUTERNAME%

rem Default authentication mode when installing insight, the values for Windows is 0 and 1 for SQL Server. 
rem if a different value is required change the value of AUTH_TYPE

SET AUTH_TYPE=0

rem Default username IS need for SQL Server authentication mode when installing insight. 
rem if different VALUE is required change the values of USERNAME

SET USERNAME=sa

rem Default Rational Insight database ALIAS instance to use. 
rem if a different value is required change the value of DBNAME
rem Not accepting the default implies changes in the connection information
rem defined on the Cognos BI server and Data Manager ETL

SET DBNAME=SAMPLEDW

rem Default schema name to use for the Operational Data Store.
rem If a different value is required change the value of NF_SCHEMA.
rem Not accepting the default implies that the Data Manager 
rem ETL variable ODS will have to be changed as well


SET NF_SCHEMA=RIODS

rem Default schema name to use for the Asset Management Operational Data Store.
rem If a different value is required change the value of RIASSET_SCHEMA.
rem Not accepting the default implies that the Data Manager 
rem ETL variables will have to be changed as well


SET RIASSET_SCHEMA=RIASSET

rem Default schema name to use for the MCIF Self-Check Operational Data Store.
rem If a different value is required change the value of RISCHK_SCHEMA.
rem Not accepting the default implies that the Data Manager 
rem ETL variables will have to be changed as well

SET RISCHK_SCHEMA=RISCHK

rem Default schema name to use for the Data Mart.
rem If a different value is required change the value of STAR_SCHEMA.
rem Not accepting the default implies that the Frame Work Manager 
rem meta-data model will need to be altered as well as as all published reports.
rem Additionally the Data Manager ETL variable DW will have to be changed as well.


SET STAR_SCHEMA=RIDW

rem Default schema name to use for the Business Analytics area of the database.
rem If a different value is required change the value of RIBA.
rem Not accepting the default implies that the Frame Work Manager 
rem meta-data model will need to be altered as well as as all published reports.
rem Additionally the Data Manager ETL variable will have to be changed as well.

SET RIBA_SCHEMA=RIBA

rem Default account to use for the report executions.
rem If a different value is required change the value of REP_USER.
rem Not accepting the defaults implies that RIDW connection
rem in the Cognos BI server will have to be changed

SET REP_USER=RPTUSER

rem Default path for the files for the file groups
rem Change the value of DATA_HOME to any suitable value for your system

SET DATA_HOME=%USERPROFILE%\databases

rem Specify the instance's base directory

SET MSSQL_HOME=C:\Microsoft SQL Server\MSSQL.1
